<template lang="">
  <navbar/>
  <strong
    ><h1 class="mt-8 text-2xl md:text-2xl lg:text-3xl" align="center">
      Cambiar Nombre Asignatura
    </h1>
  </strong>
  <div align="right">
    <div
      class="tooltip tooltip-left tooltip-primary mr-5 md:mr-80 w-10 md:w-14"
      data-tip="Ingrese el nuevo nombre en el campo designado y haga doble click en la asignatura que desea cambiarle el nombre"
    >
      <img src="/src\assets\ADM_CURSOS\iconoPregunta.png" />
    </div>
  </div>
  <div align="left">
    <div
      class="tooltip tooltip-primary ml-56 md:ml-64 w-10 md:w-12"
      data-tip="Volver al menu de administracion de cursos"
    >
      <a v-bind:href="'/homeAdministracion/' + curso">
        <img src="\src\assets\ADM_CURSOS\return.png" />
      </a>
    </div>
  </div>
  <div align="center">
    <div class="overflow-x-scroll scrollbar h-96 mt-2 mb-10 w-11/12 md:w-1/2">
      <table class="table table-compact border-collapse">
        <thead>
          <tr>
            <th>Id Asignatura</th>
            <th>Nombre</th>
            <th>Docente</th>
          </tr>
        </thead>
        <tbody v-for="asignatura in asignaturas" :key="asignatura">
          <tr
            @dblclick="enviarId(asignatura.asigId, asignatura.tipoAsignatura)"
            style="cursor: pointer"
            class="hover"
          >
            <td>{{ asignatura.asigId }}</td>
            <td>{{ asignatura.tipoAsignatura }}</td>
            <div v-for="docente in docentes" :key="docente">
              <td v-if="asignatura.docente == docente.usuId">
                {{ docente.nombre }}
              </td>
            </div>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <div align="center">
    <select
      id="tipoAsignaturaNuevo"
      class="select select-primary w-full max-w-xs mb-8"
    >
      <option disabled selected>Seleccione el nuevo nombre</option>
      <option value="1">LENGUAJE_Y_COMUNICACION</option>
      <option value="2">IDIOMA_EXTRANJERO_INGLES</option>
      <option value="3">MATEMATICA</option>
      <option value="4">CIENCIAS_NATURALES</option>
      <option value="5">HISTORIA_GEOGRAFIA_Y_CIENCIAS_SOCIALES</option>
      <option value="6">TECNOLOGIA</option>
      <option value="7">ARTES_VISUALES</option>
      <option value="8">EDUCACION_FISICA_Y_SALUD</option>
      <option value="9">MUSICA</option>
      <option value="10">RELIGION</option>
    </select>
  </div>
  <Footer/>
</template>
<script>
import axios from "axios";
import navbar from "../../components/Navbar.vue";
import Footer from "../../components/Footer.vue";
export default {
  components: {navbar,Footer},
  data() {
    return {
      curso: this.$route.params.id,
      asignaturas: [],
      docentes: [],
    };
  },
  mounted() {
    let vue = this;
    axios
      .get("adminitracionCursos/mostrarTodasAsignatura"
      ,{
        headers: {
                    Authorization: localStorage.getItem('auth')
                },
      })
      .then(function (response) {
        vue.asignaturas = response.data;
        console.log(vue.asignaturas);
      });
    axios
      .get("administracionCursos/mostrarDocentes",{
        headers: {
                    Authorization: localStorage.getItem('auth')
                },
      })
      .then(function (response) {
        vue.docentes = response.data;
        console.log(vue.docentes);
      });
  },
  methods: {
    enviarId(id,tipoAsignaturaAntigua) {
      const tipoAsignaturaNuevo = document.getElementById(
        "tipoAsignaturaNuevo"
      );
      const idAsignatura = tipoAsignaturaNuevo.value;
      var respuesta = confirm(
        "Se cambiará el tipo de la asignatura " +
          id +
          " el tipo: " +
          tipoAsignaturaAntigua
      );
      if (respuesta) {
        axios({
          method: "PUT",
          url:
            "administracionCursos/cambiarNombreAsignatura/" +
            id +
            "/" +
            idAsignatura,
          idSeleccionado: id,
          headers: {
                    Authorization: localStorage.getItem('auth')
                },
        })
          .then((res) =>
            alert(
              "Se ha cambiado el tipo de la asignatura " +
                id +
                " el tipo anterior es: " +
                tipoAsignaturaAntigua
            )
          )
          .catch((err) => console.log(err));
      }
    },
  },
};
</script>
